Update a Fleet Server host

Base URL
https://{kibana_url}
Auth

Update a Fleet Server host by ID.

Required privileges

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

itemId string · min length: 0 required

The ID of the Fleet Server host

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10
is_default boolean
is_internal boolean
name string · min length: 0
proxy_id string · min length: 0 · default: null nullable

Responses

Successful response

application/json
item object required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string · min length: 0 required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_id string · min length: 0 nullable
404

Not Found

application/json
Base URL
https://{kibana_url}